<nav aria-label='breadcrumb' ...attributes>
  <ol class='breadcrumb ps-0 mb-0 {{@class}}'>
    {{#each @value as |breadcrumb|}}
      <li
        class='breadcrumb-item {{unless breadcrumb.route 'active'}}'
        aria-current='page'
      >
        {{#if breadcrumb.route}}
          {{#if breadcrumb.model}}
            <LinkTo
              @route={{breadcrumb.route}}
              @model={{breadcrumb.model}}
              @query={{or breadcrumb.query (hash)}}
              class='text-decoration-none'
            >
              {{#if breadcrumb.capitalize}}
                {{capitalize breadcrumb.text}}
              {{else}}
                {{breadcrumb.text}}
              {{/if}}
            </LinkTo>
          {{/if}}

          {{#if breadcrumb.models}}
            <LinkTo
              @route={{breadcrumb.route}}
              @models={{breadcrumb.models}}
              @query={{or breadcrumb.query (hash)}}
              class='text-decoration-none'
            >
              {{#if breadcrumb.capitalize}}
                {{capitalize breadcrumb.text}}
              {{else}}
                {{breadcrumb.text}}
              {{/if}}
            </LinkTo>
          {{/if}}

          {{#if (not (or breadcrumb.models breadcrumb.model))}}
            <LinkTo
              @route={{breadcrumb.route}}
              @query={{or breadcrumb.query (hash)}}
              class='text-decoration-none'
            >
              {{#if breadcrumb.capitalize}}
                {{capitalize breadcrumb.text}}
              {{else}}
                {{breadcrumb.text}}
              {{/if}}
            </LinkTo>
          {{/if}}
        {{else}}
          {{#if breadcrumb.capitalize}}
            {{capitalize breadcrumb.text}}
          {{else}}
            {{breadcrumb.text}}
          {{/if}}
        {{/if}}
      </li>
    {{/each}}
  </ol>
</nav>